Bug 538372 - "Leave message" does not work
"Leave message" does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 07:15 EST by Need Real Name
Modified: 2012-08-16 18:17 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:17:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-11-18 07:15:05 EST
When I lock my screen I get a few options, one is "leave message".

When I click this button, I get a text field, and two buttons: save and cancel.

If I enter some text and click save, this text goes somewhere (presumably it is saved).

But when I unlock the screen I get none of these saved messages.
Comment 1 Ray Strode [halfline] 2009-11-18 11:06:55 EST
hmm i wonder if this is related to us switching notification bubble designs...
Comment 2 Need Real Name 2010-01-05 08:51:29 EST
This is actually a data loss bug believe it or not. Shall I up severity?

Can we disable it in the meantime?
Comment 3 Christopher Beland 2010-01-08 03:48:05 EST
Confirmed with gnome-screensaver-2.28.0-8.fc12.i686.  I don't see any guidance on severity settings for data loss bugs, so I'll set this to Urgent to be on the safe side, and ask around.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 François Kooman 2010-05-10 18:36:01 EDT
Still there in Fedora 13 RC#2. Colleagues make excellent testers ;-)

gnome-screensaver-2.30.0-1.fc13.x86_64
Comment 5 Benjamin Petrin 2010-06-11 16:51:59 EDT
Confirmed with gnome-screensaver-2.30.0-1.fc13.i686
Comment 6 John Poelstra 2010-07-06 19:34:02 EDT
Removing 'depends' on 'F14blocker'.  This is a Fedora 13 bug.
Comment 7 mailboost 2010-08-10 12:22:01 EDT
Still in fedora 13 final x86_64. 
gnome-screensaver-2.30.0-1.fc13.x86_64

In my opinion this is a severe bug expecially at work where colleagues leave messages believing you read them!!!
Comment 8 Need Real Name 2010-08-10 13:39:05 EDT
This is a data loss bug. It doesn't seem to be treated like one though :/
Comment 9 Keith G. Robertson-Turner 2010-09-01 13:56:17 EDT
Well apparently this feature has been marked for depreciation upstream, as "it hasn't worked for months and no one noticed":

https://bugzilla.gnome.org/show_bug.cgi?id=619954

Always nice to be kept in the loop.

Pity, as this was the only feature that actually differentiated it from xscreensaver. Well that, and it's lack of advanced screensaver preferences.

Meanwhile, if this feature doesn't work, and there is no intention of ever fixing it, can we please patch it out completely, right now, so people don't leave messages that will never be read.

Perhaps we could just replace the message box with a non-interactive dialogue which reads "Please write your message on a Post-it®, and stick it to the monitor".
Comment 10 Need Real Name 2010-10-14 03:23:27 EDT
Still broken in the shiny new release of Fedora 14.

-> ! This is a data loss bug ! <-
Comment 11 Danny Stieben 2011-01-30 04:21:26 EST
Yep, still broken as of today in F14. Household members occasionally used the feature when it still worked, but since it doesn't we haven't had the pleasure of using it.
Comment 12 Bug Zapper 2011-06-02 13:24:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Steve Chapel 2011-06-02 13:28:16 EDT
As others have commented, the leave message feature is still broken in Fedora 14.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 12:00:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2012-08-16 18:17:36 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.